<?php

namespace Drupal\search_api_coveo;

/**
 * Provides helper methods for logging with dependency injection.
 */
trait DebugTrait {

  /**
   * Display the invoked plugin method to end user.
   *
   * @param string $method_name
   *   The invoked method name.
   * @param string $context1
   *   Additional parameter passed to the invoked method name.
   */
  protected function displayMessage($method_name, $context1 = NULL) {
    // @todo remove debug method
    if (PHP_SAPI !== 'cli') {
      $t_args = [
        '@class_name' => get_class($this),
        '@method_name' => $method_name,
        '@context1' => $context1,
      ];
      \Drupal::messenger()->addStatus('Invoked: ' . get_class($this) . ':' . $method_name . $context1, $t_args);
    }
  }

}
